Bug 32195 - Update to Heimdal 1.6
Update to Heimdal 1.6
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kerberos
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Arvid Requate
Felix Botner
: interim-2
Depends on:
Blocks: 31698
  Show dependency treegraph
 
Reported: 2013-08-08 14:22 CEST by Arvid Requate
Modified: 2013-11-19 06:42 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-08-08 14:22:40 CEST
The new Debian samba 4.x packages depend on heimdal-1.6.

+++ This bug was initially created as a clone of Bug #31698 +++

Samba4 should be upgraded to Samba 4.1.
Comment 1 Arvid Requate univentionstaff 2013-08-12 19:47:01 CEST
heimdal 1.6 has been imported, patches have been migrated.
Changelog updated.
Comment 2 Felix Botner univentionstaff 2013-09-20 13:33:10 CEST
OK - 
-> dpkg -l heimdal-kdc
ii  heimdal-kdc                   1.6~git20120403+dfsg1-2.221.2

(test on updated amd64 UCS 3.2 with samba4 and new installed i386 UCS 3.2)
OK - kinit test1
OK - ssh test1@master (ssh krb5 authentication)
OK - kpasswd test1 (password change)
OK - password change via GDM 

OK - patches
The following patches will be applied:
 0001-password_sync.patch
 0002-disable-ftp-pop3-and-telnet.patch
 0003-avoid-conflict-with-proftpd.patch
 0004-univention-username-length.patch
 0005-rshd-univention-mount-homedir.patch
 0006-default-password_lifetime-unlimited.patch
 0007-debhelper.patch
Applying patch 0001-password_sync.patch using -p1...OK
Applying patch 0002-disable-ftp-pop3-and-telnet.patch using -p1...OK
Applying patch 0003-avoid-conflict-with-proftpd.patch using -p1...OK
Applying patch 0004-univention-username-length.patch using -p1...OK
Applying patch 0005-rshd-univention-mount-homedir.patch using -p1...OK
Applying patch 0006-default-password_lifetime-unlimited.patch using -p1...OK
Applying patch 0007-debhelper.patch using -p1...OK

OK - Changelog
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:42:38 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".